backend:
  name: github
  repo: vroldanbet/vive-green-v2
  branch: main # Branch to update (optional; defaults to master)

media_folder: 'public/images/blog'
public_folder: '/images/blog'

collections:
  - name: 'blog'
    label: 'Blog'
    folder: 'src/content/blog'
    create: true
    slug: '{{slug}}'
    fields:
      - { label: 'Title', name: 'title', widget: 'string' }
      - { label: 'Description', name: 'description', widget: 'text' }
      - { label: 'Publish Date', name: 'pubDate', widget: 'datetime' }
      - {
          label: 'Updated Date',
          name: 'updatedDate',
          widget: 'datetime',
          required: false,
        }
      - {
          label: 'Hero Image',
          name: 'heroImage',
          widget: 'image',
          required: false,
        }
      - {
          label: 'Author',
          name: 'author',
          widget: 'string',
          default: 'Ana de la Fe Cabrera',
        }
      - { label: 'Body', name: 'body', widget: 'markdown' }
